using BarContracts.Attrubites;
using BarDataModels.Models;

namespace BarContracts.ViewModels
{
	public class CocktailViewModel : ICocktailModel
    {
		[Column(Visible: false)]
		public int Id { get; set; }

		[Column(Title: "Название коктейльа", GridViewAutoSize: GridViewAutoSize.Fill, IsUseAutoSize: true)]
		public string CocktailName { get; set; } = string.Empty;

		[Column(Title: "Цена", Width: 70)]
		public double Price { get; set; }

		[Column(Visible: false)]
		public Dictionary<int, (IComponentModel, int)> CocktailComponents { get; set; } = new();
    }
}
